OS patches

Hi,

First of all, apologies if this is a dumb question I am pretty new to FreePBX and couldn’t find the answer elsewhere. I have FreePBX up and running and am pretty happy with it. I have managed to solve most of my issues thanks to all of the guidance and support in this community.

I have FreePBX configured to automatically update weekly and this is working fine. However, I noticed that when I ssh to the server and run the system update tools there are patches for Asterix that are outstanding. Should I update these components? Will updating these cause potential incompatibility with FreePBX, ie is FreePBX only supported on specific releases of Asterix?

Thanks in advance!

You have basically three options (there are many more, but probably the ones more actively used): “If it is not broken, don’t fix it” meaning that if you don’t have a specific reason for updating, then don’t. “I want to be on the latest available version there is”, pretty much self explanatory. And the last option would be to update to a specific version in order to solve a specific problem, or to patch a specific vulnerability.

If you are running the FreePBX Distro, you won’t be able to install an unsupported Asterisk version, so you don’t need to worry about that.

I am using the FreePBX distro, so I will allow it to update via yum then.

Thanks for your help!